- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_port_cos_bw – CLI command to modify port-cos-bw

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to update bw settings for CoS queues.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_cos string |  | CoS priority.
pn_max_bw_limit string |  | Maximum b/w in percentage.
pn_min_bw_guarantee string |  | Minimum b/w in percentage.
pn_port string |  | physical port number.
pn_weight string | Choices: priority no-priority | Scheduling weight (1 to 127) after b/w guarantee met.
state string / required | Choices: update | State the action to perform. Use `update` to modify the port-cos-bw.

## Examples

    - name: port cos bw modify
      pn_port_cos_bw:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "1"
        pn_cos: "0"
        pn_min_bw_guarantee: "60"

    - name: port cos bw modify
      pn_port_cos_bw:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "all"
        pn_cos: "0"
        pn_weight: "priority"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the port-cos-bw command.
stdout list | always | set of responses from the port-cos-bw command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.